#version 450 core

// inputs
in vec4 fragColor;
in vec2 texCoord;

// samplers
uniform sampler2D t_sprite;

void main() {
	// alpha stipple
	vec4 color = texture(t_sprite, texCoord);
	if (all(lessThan(color.rgb, vec3(0.01)))) discard;      // kills early z-out :(
	
    // depth is written at the end of pass
}
